Subject: Re: [PATCH 1/4] ipv6: add a new namespace for nf_conntrack_reasm

From: Cong Wang <[email-masked]>
Date: Tue, 18 Sep 2012 18:44:01 +0800

On Tue, 2012-09-18 at 09:37 +0200, Pablo Neira Ayuso wrote:
> > +#if IS_ENABLED(CONFIG_NF_DEFRAG_IPV6)
> > +	struct netns_nf_ct	nf_ct;
> > +#endif
> 
> There's above one "struct netns_ct" that already encapsulates
> netfilter conntrack netns parameters.
> 
> However, I'd prefer if, while at it, you define some struct
> netns_nf_frag instead.
> 
> In net/ipv6/netfilter/Makefile, it says:
> 
> # defrag
> nf_defrag_ipv6-y := nf_defrag_ipv6_hooks.o nf_conntrack_reasm.o
> 
> Note that nf defragmentation is not glued to conntrack anymore. So I'd
> go for one netns_nf_frag for this in include/net/net_namespace.h
> 

Sure, I will rename that struct to 'struct netns_nf_frag'.

Thanks for review!